package handler

import "github.com/gin-gonic/gin"

type Handler interface {
	Register(r *gin.RouterGroup)
}

func RegisterRouter(r *gin.Engine) {
	api := r.Group("/api/v1")
	domainHandler := DomainHandler{}
	domainHandler.Register(api)

	acmeUserHandler := AcmeUserHandler{}
	acmeUserHandler.Register(api)
}
